| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
concurrency::IGraphVisitor Class Reference

`#include <src/IGraphVisitor.h>`

Inheritance diagram for concurrency::IGraphVisitor:
[legend]

## Public Member Functions
virtual | ~IGraphVisitor ()=default
virtual bool | visitEnter (DecisionNode &) const
virtual bool | visit (DecisionNode &)
virtual bool | visitEnter (AlgorithmNode &) const
virtual bool | visit (AlgorithmNode &)
virtual bool | visitEnter (DataNode &) const
virtual bool | visit (DataNode &)
virtual bool | visitEnter (ConditionNode &) const
virtual bool | visit (ConditionNode &)
virtual void | reset ()

## Detailed Description

Definition at line 12 of file IGraphVisitor.h.

## Constructor & Destructor Documentation

virtual concurrency::IGraphVisitor::~IGraphVisitor | ( |  | ) |
| virtual default

## Member Function Documentation

virtual void concurrency::IGraphVisitor::reset | ( |  | ) |
| inline virtual

Reimplemented in concurrency::RunSimulator, concurrency::RankerByDataRealmEccentricity, and concurrency::RankerByCummulativeOutDegree.

Definition at line 29 of file IGraphVisitor.h.

29 {};

virtual bool concurrency::IGraphVisitor::visit | ( | DecisionNode & |  | ) |
| inline virtual

Reimplemented in concurrency::RunSimulator, and concurrency::Supervisor.

Definition at line 18 of file IGraphVisitor.h.

18 { return true; };

virtual bool concurrency::IGraphVisitor::visit | ( | AlgorithmNode & |  | ) |
| inline virtual

Reimplemented in concurrency::RunSimulator, concurrency::RankerByDataRealmEccentricity, concurrency::RankerByEccentricity, concurrency::RankerByTiming, concurrency::RankerByCummulativeOutDegree, concurrency::RankerByProductConsumption, concurrency::Supervisor, concurrency::DecisionUpdater, and concurrency::DataReadyPromoter.

Definition at line 21 of file IGraphVisitor.h.

21 { return true; };

virtual bool concurrency::IGraphVisitor::visit | ( | DataNode & |  | ) |
| inline virtual

Reimplemented in concurrency::DataReadyPromoter.

Definition at line 24 of file IGraphVisitor.h.

24 { return true; };

virtual bool concurrency::IGraphVisitor::visit | ( | ConditionNode & |  | ) |
| inline virtual

Reimplemented in concurrency::DataReadyPromoter.

Definition at line 27 of file IGraphVisitor.h.

27 { return true; };

virtual bool concurrency::IGraphVisitor::visitEnter | ( | DecisionNode & |  | ) | const
| inline virtual

Reimplemented in concurrency::RunSimulator, and concurrency::Supervisor.

Definition at line 17 of file IGraphVisitor.h.

17 { return true; };

virtual bool concurrency::IGraphVisitor::visitEnter | ( | AlgorithmNode & |  | ) | const
| inline virtual

Reimplemented in concurrency::RunSimulator, concurrency::Supervisor, and concurrency::DataReadyPromoter.

Definition at line 20 of file IGraphVisitor.h.

20 { return true; };

virtual bool concurrency::IGraphVisitor::visitEnter | ( | DataNode & |  | ) | const
| inline virtual

Reimplemented in concurrency::DataReadyPromoter.

Definition at line 23 of file IGraphVisitor.h.

23 { return true; };

virtual bool concurrency::IGraphVisitor::visitEnter | ( | ConditionNode & |  | ) | const
| inline virtual

Reimplemented in concurrency::DataReadyPromoter.

Definition at line 26 of file IGraphVisitor.h.

26 { return true; };

The documentation for this class was generated from the following file:

- GaudiHive/src/IGraphVisitor.h